Subject: bug#481: gparted-1.0.0-0.1 comes with dependencies for systemd components

From: Mark Hindley <[email-masked]>
Date: Wed, 3 Jun 2020 14:20:54 +0100

On Wed, Jun 03, 2020 at 01:09:30PM +0100, Klaus Ethgen wrote:
> Hi Mark,
> 
> Am Mi den  3. Jun 2020 um 12:53 schrieb Mark Hindley:
> > On Wed, Jun 03, 2020 at 12:44:06PM +0100, Klaus Ethgen wrote:
> > > > Well you were trying to install gparted and that does require logind
> > > > functionality so you do want it and would use it, if only indirectly.
> > > 
> > > Thats exactly the problem, it doesn't. That is a weak dependency that
> > > should at most be recommended. That how it worked with earlier versions
> > > too. That dependency for logind is just artefactual and not really
> > > needed.
> > 
> > OK. That is fine. I understand better. However, gparted is not a forked package
> > and Devuan uses Debian's packages directly. If you want them to reconsider that
> > decision, please would report the issue directly to Debian's BTS.
> 
> That is exactly the problem. Debian is not willing to fix that
> dependencies.

I appreciate and understand your frustration. However, have you asked and been
refused in this particular case? I notice that Unit193 added the policykit-1
dependency[1]. He is definitely a friend of Devuan and is regularly on
#devuan-dev. I wouldn't expect him to dismiss the request out of hand.

> I had that with many packages right now (libvirt for
> example where I rebuild my own package without that poison
> dependencies). I assume that they add this dependencies fully
> intentional to force systemd more widely.
> 
> Keep in mind that it is still possible to drive a debian system without
> systemd. But this dependencies makes it hard and harder to do so.

That is exactly why I think this would be best fixed in Debian. Everybody
benefits that way. In particular, nonsystemd PID1 in Debian remains
viable. Devuan needs that to continue to be the case.

Best wishes

Mark

[1]  https://tracker.debian.org/media/packages/g/gparted/changelog-1.0.0-0.1